---------------------------------------------
--        Load and display images          --
---------------------------------------------
img_add_fullscreen("background.png")
img_bg = img_add_fullscreen("attbackground.png")

img_horizon = img_add_fullscreen("atthorizon.png")
img_fd_horizontal = img_add_fullscreen("fd_horizontal.png")
img_fd_vertical = img_add_fullscreen("fd_vertical.png")
img_ring = img_add_fullscreen("attbankind.png")
img_gyroflag = img_add("gyroflag.png",330,-84,500,500)
img_steerflag = img_add("steerflag.png",-358,-78,500,500)
img_add_fullscreen("attfront.png")

---------------
-- Functions --
---------------
gyroflag_rotation = 0
gyroflag_state = 0
steerflag_rotation = 0
steerflag_state = 0
hoop_height = 0

function PT_atitude(roll, pitch, APmode, FDpitch, FDroll)    
-- roll outer ring
    img_rotate(img_ring, roll *-1)
        
-- roll horizon
    img_rotate(img_horizon  , roll * -1)
	img_rotate(img_bg, roll *-1)
    
-- move horizon pitch
    pitch = var_cap(pitch,-30,30)
    radial = math.rad(roll * -1)
    x = -(math.sin(radial) * pitch * 4.0)
    y = (math.cos(radial) * pitch * 4.0)
    img_move(img_horizon, x, y, nil, nil)
	
-- Flight director

-- Horizontal (pitch):
	if APmode < 1 then
		move(img_fd_horizontal, nil, 0, nil, nil)
-- 		move(img_fd_horizontal, nil, 120, nil, nil)		
	else
		move(img_fd_horizontal, nil, (FDpitch - pitch) * -4, nil, nil)			
	end

-- Vertical (roll):
	if APmode < 1 then
		move(img_fd_vertical, 0, nil, nil, nil)
-- 		move(img_fd_vertical, -120, nil, nil, nil)		
	else
		move(img_fd_vertical, (FDroll - roll) * 4, nil, nil, nil)
	end
end

function timer_callback()
	
	if gyroflag_state == 1 then
		-- extend
		gyroflag_rotation = gyroflag_rotation - 0.7
		if gyroflag_rotation <= -20 then
			gyroflag_rotation = -20
			timer_stop(tmr_gyroflag)
		end
	else
		-- retract
		gyroflag_rotation = gyroflag_rotation + 0.7
		if gyroflag_rotation >= 2 then
			gyroflag_rotation = 2
			timer_stop(tmr_gyroflag)
		end
		
	end	
		
		if steerflag_state == 1 then
		-- extend
		steerflag_rotation = steerflag_rotation - 0.7
		if steerflag_rotation >= 20 then
			steerflag_rotation = 20
			timer_stop(tmr_steerflag)
		end			
		

	else
		-- retract
		steerflag_rotation = steerflag_rotation + 0.7
		if steerflag_rotation <= -5 then
			steerflag_rotation = -5
			timer_stop(tmr_steerflag)
		end	

	img_rotate(img_gyroflag, gyroflag_rotation)		
	img_rotate(img_steerflag, steerflag_rotation)
	
	end		
	
end		

function new_gyroflag_fsx(gyrofail,gyro )
	if gyrofail > 0 or gyro == false then
		gyroflag_state = 1	
	else
		gyroflag_state = 0	
	end
    timer_stop(tmr_gyroflag)
	tmr_gyroflag = timer_start(0, 50, timer_callback)

end



-- function new_steerflag_fsx(steer)
-- 	if steer == false then
-- 		steerflag_state = 1
-- 	else
-- 		steerflag_state = 0
-- 	end
--     timer_stop(tmr_steerflag)
-- 	tmr_steerflag = timer_start(0, 150, timer_callback)
-- end


function new_attitude_fsx(roll, pitch, APmode, FDpitch, FDroll)
	
-- Convert boolean to INT
	APmode = fif(APmode, 1, 0)
	
	PT_atitude(roll * -1, pitch * -1,  APmode, FDpitch * -1, FDroll * -1)

end


fsx_variable_subscribe("ATTITUDE INDICATOR BANK DEGREES", "Degrees",
					   "ATTITUDE INDICATOR PITCH DEGREES", "Degrees",
					   "AUTOPILOT FLIGHT DIRECTOR ACTIVE", "Bool", 
					   "AUTOPILOT FLIGHT DIRECTOR PITCH", "degrees", 
					   "AUTOPILOT FLIGHT DIRECTOR BANK", "degrees", new_attitude_fsx)
fsx_variable_subscribe("PARTIAL PANEL ELECTRICAL", "Enum",
					   "ELECTRICAL MASTER BATTERY", "Bool", new_gyroflag_fsx)
-- fsx_variable_subscribe("AUTOPILOT MASTER", "Bool", new_steerflag_fsx)